using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Player : MonoBehaviour
{
    public static Player Instance;

    public float MoveSpeed = 1;

    public void OnEnable()
    {
        Instance = this;
    }


    public void MoveL()
    {
        if (transform.position.x > -2)
        {
            transform.position += Vector3.left * Time.deltaTime;
        }
    }

    public void MoveR()
    {
        if (transform.position.x < 2)
        {
            transform.position += Vector3.right * Time.deltaTime;
        }
    }


    public void SetMoveSpeed(float value)
    {
        MoveSpeed += value;
    }


    private float _timer;
    private bool _isEnable;

    public void Update()
    {
        if (_isEnable)
        {
            _timer += Time.deltaTime;
            if (_timer >= 0.3f)
            {
                SetMoveSpeed(0.5f);
                _isEnable = false;
                _timer = 0;
            }

            transform.position += Vector3.forward * (MoveSpeed * Time.deltaTime);
        }
    }
}